#!/bin/sh
# Install postgresql-8.4
#
#
# Some checkings before installing

trap "on_error; on_exit; exit" INT QUIT TERM

log=$1
# prevent further execution of exchange.php
rm -f /var/www/innovaphone/apps/innovaphone-exchange/exchange.php
echo "LOG: $(date '+%Y-%m-%d %H:%M:%S') - exchange.php deleted" > ${log}
# kill exchange process
pid=123
until [ ! -n "$pid" ]
do
    pid=`ps aux | grep exchange.php | grep -v grep | awk '{print $2}'`
    sleep 1s
done
echo "LOG: $(date '+%Y-%m-%d %H:%M:%S') - exchange process not running any more" >> ${log}
# run clear script
/usr/bin/php5 /var/www/innovaphone/apps/innovaphone-exchange/clear_presence.php >> ${log}

# run uninstall script
echo "LOG: $(date '+%Y-%m-%d %H:%M:%S') - calling universal uninstall script" >> ${log}
/usr/bin/sudo /usr/local/bin/uninstall_script.sh -f 'innovaphone-exchange.xml' -linux_user yes -linux_group yes -database yes -database_user yes -log_script "${log}"
